/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with {library}; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package ch.hortis.sonar.mvn;

import ch.hortis.sonar.service.WebInterfaceService;

public class MavenContext {
	
	private org.apache.maven.project.MavenProject executedProject;
	
	private WebInterfaceService webInterfaceService;
	
	private ClassLoader classLoader;
	
	public MavenContext(org.apache.maven.project.MavenProject executedProject, WebInterfaceService webInterfaceService,
			ClassLoader classLoader) {
		this.executedProject = executedProject;
		this.webInterfaceService = webInterfaceService;
		this.classLoader = classLoader;
	}

	public org.apache.maven.project.MavenProject getExecutedProject() {
		return executedProject;
	}

	public WebInterfaceService getWebInterfaceService() {
		return webInterfaceService;
	}

	public ClassLoader getClassLoader() {
		return classLoader;
	}

}
