/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with {library}; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package ch.hortis.sonar.mvn.mc;

import ch.hortis.sonar.model.File;

import java.util.HashMap;
import java.util.Map;

import org.apache.maven.plugin.logging.Log;

public class FilesRepositoryImpl implements FilesRepository {
  private Log log;
  protected Map<String, File> filesByName;

  public FilesRepositoryImpl(Log log) {
    filesByName = new HashMap<String, File>();
    this.log = log;
  }

  public File getFile(String namespace, String filename) {
    File file = filesByName.get( key( namespace, filename ) );
    if ( file == null ) {
      log.warn("Unable to find file " + namespace + ":" + filename + " in repository");
    }
    return file;
  }

  public void addFile(File file) {
    filesByName.put( key(file.getNamespace(), file.getFilename()), file);
  }

  private String key( String namespace, String filename ) {
    return namespace + "/" + filename;
  }
}
